BDU:2021-00078: Уязвимость веб-браузеров Firefox ESR и Firefox и почтового клиента Thunderbird, связанная с выходом операции за допустимые границы буфера данных, позволяющая нарушителю получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании

Описание уязвимости

Уязвимость веб-браузеров Firefox ESR и Firefox и почтового клиента Thunderbird связана с выходом операции за допустимые границы буфера данных. Эксплуатация уязвимости может позволить нарушителю, действующему удаленно, получить доступ к конфиденциальным данным, нарушить их целостность, а также вызвать отказ в обслуживании

Вендор

Canonical Ltd., ООО «РусБИТех-Астра», Сообщество свободного программного обеспечения, Mozilla Corp., АО «Концерн ВНИИНС»

Наименование ПО

Ubuntu, Astra Linux Special Edition (запись в едином реестре российских программ №369), Debian GNU/Linux, Firefox, Thunderbird, Firefox ESR, ОС ОН «Стрелец» (запись в едином реестре российских программ №6177)

Версия ПО

  • 16.04 LTS (Ubuntu)
  • 18.04 LTS (Ubuntu)
  • 1.6 «Смоленск» (Astra Linux Special Edition)
  • 8.0 (Debian GNU/Linux)
  • 9.0 (Debian GNU/Linux)
  • 10.0 (Debian GNU/Linux)
  • 19.10 (Ubuntu)
  • 20.04 LTS (Ubuntu)
  • до 77.0 (Firefox)
  • до 68.9.0 (Thunderbird)
  • до 68.9.0 (Firefox ESR)
  • 1.0 (ОС ОН «Стрелец»)

Тип ПО

Операционная система, Прикладное ПО информационных систем

Операционные системы и аппаратные платформы

Тип ошибки

Выход операции за границы буфера в памяти

Идентификатор типа ошибки

Класс уязвимости

Уязвимость кода

Дата выявления

09.07.2020

Базовый вектор уязвимости

Уровень опасности уязвимости

Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 9,3)
Высокий уровень опасности (базовая оценка CVSS 3.0 составляет 8,1)

Возможные меры по устранению уязвимости

Использование рекомендаций:
Для firefox:
Обновление программного обеспечения до 77.0-1 или более поздней версии

Для firefox-esr:
Обновление программного обеспечения до 68.9.0esr-1 или более поздней версии

Для thunderbird:
Обновление программного обеспечения до 1:68.9.0-1 или более поздней версии

Для Debian:
Обновление программного обеспечения (пакета firefox) до 77.0-1 или более поздней версии, (пакета firefox-esr) до 68.9.0esr-1~deb10u1 или более поздней версии, (пакета thunderbird) до 1:68.9.0-1~deb10u1 или более поздней версии

Для Astra Linux:
Обновление программного обеспечения (пакета firefox) до 77.0-1 или более поздней версии, (пакета firefox-esr) до 68.9.0esr-1~deb10u1 или более поздней версии, (пакета thunderbird) до 1:68.9.0-1~deb10u1 или более поздней версии
Или использование рекомендаций производителя: https://wiki.astralinux.ru/astra-linux-se16-bulletin-20210730SE16

Для Ubuntu:
https://ubuntu.com/security/notices/USN-4421-1

Для ОС ОН «Стрелец»:
https://strelets.net/patchi-i-obnovleniya-bezopasnosti#kumulyativnoe-obnovlenie

Статус уязвимости

Подтверждена производителем

Наличие эксплойта

Данные уточняются

Способ эксплуатации

  • Манипулирование структурами данных

Способ устранения

Обновление программного обеспечения

Информация об устранении

Уязвимость устранена

Идентификаторы других систем описаний уязвимостей

Прочая информация

Данные уточняются
Последние изменения